[ CCUnit project page ] |  | [ CCUnit home page ]

Data Structures | Typedefs | Enumerations | Functions

# Browsing collected test result

Collaboration diagram for Browsing collected test result:

## Data Structures
struct | CCUnitTest
| Run Test and collect its results. More...
struct | CCUnitTestFailure
| Collects a failed test together with the failed assertion. More...
## Typedefs
typedef enum CCUnitTestType_t | CCUnitTestType_t
| Test class type.
typedef struct CCUnitTest | CCUnitTest
| Run Test and collect its results.
typedef struct CCUnitTestFailure | CCUnitTestFailure
| Collects a failed test together with the failed assertion.
## Enumerations
enum | CCUnitTestType_t { ccunitTypeTest, ccunitTypeSuite, ccunitTypeFixture, ccunitTypeCase, ccunitTypeLast_ }
| Test class type. More...
## Functions
CCUnitTest * | ccunit_initTest (CCUnitTest *test, CCUnitTestType_t type, void(*run)(CCUnitTest *, struct CCUnitTestResult *), void(*dtor)(CCUnitTest *))
| Initialize Test class.
void | ccunit_deleteTest (CCUnitTest *test)
| Test class destructor.
CCUnitTestFailure * | ccunit_newTestFailure (const char *file, unsigned int line, const char *condstr, const char *expect, const char *actual)
| Create new test failure.
void | ccunit_deleteTestFailure (CCUnitTestFailure *failure)
| Delete test failure object.

## Typedef Documentation

typedef struct CCUnitTest CCUnitTest

Run Test and collect its results.

See also:
  CCUnitTestResult

typedef struct CCUnitTestFailure CCUnitTestFailure

Collects a failed test together with the failed assertion.

See also:
  TestResult

typedef enum CCUnitTestType_t CCUnitTestType_t

Test class type.

## Enumeration Type Documentation

enum CCUnitTestType_t

Test class type.

Enumerator:

  ccunitTypeTest | Test class.
  ccunitTypeSuite | TestSuite class.
  ccunitTypeFixture | TestFixture class.
  ccunitTypeCase | TestCase class.
  ccunitTypeLast_ | last tag

## Function Documentation

void ccunit_deleteTest | ( | CCUnitTest * | test | ) |

Test class destructor.

Parameters:

  | test | test object to delete.

Referenced by destroy().

Here is the caller graph for this function:

void ccunit_deleteTestFailure | ( | CCUnitTestFailure * | failure | ) |

Delete test failure object.

Parameters:

  | failure | failure object.

CCUnitTest * ccunit_initTest | ( | CCUnitTest * | test,
|  | CCUnitTestType_t | type,
|  | void(*)(CCUnitTest *, struct CCUnitTestResult *) | run,
|  | void(*)(CCUnitTest *) | dtor |
| ) |  |  |

Initialize Test class.

Parameters:

  | test | test object to initialize.
  | type | test type.
  | run | run test function.
  | dtor | destructor.

Returns:
  initialized test object.

Referenced by ccunit_newTestFixture().

Here is the caller graph for this function:

CCUnitTestFailure * ccunit_newTestFailure | ( | const char * | file,
|  | unsigned int | line,
|  | const char * | condstr,
|  | const char * | expect,
|  | const char * | actual |
| ) |  |  |

Create new test failure.

Parameters:

  | file | file name cause failure.
  | line | line number cause failure.
  | condstr | test condition as string.
  | expect | expect value as string.
  | actual | actual value as string.

Returns:
  new failure object.

Referenced by ccunit_assert_test__ccunit_obj_t().

Here is the caller graph for this function:

| hosts this site. |  | Send comments to: CCUnit Developer |